Module | RSS::Maker::ImageItemModel
In: | rss/maker/image.rb

### Methods

append_features

### Classes and Modules

Class RSS::Maker::ImageItemModel::ImageItemBase

### Public Class methods

append_features(klass)

[Source]

    # File rss/maker/image.rb, line 8
          def self.append_features(klass)
            super

            name = "#{RSS::IMAGE_PREFIX}_item"
            klass.add_need_initialize_variable(name, "make_#{name}")
            klass.add_other_element(name)
            klass.module_eval("attr_reader :\#{name}\ndef setup_\#{name}(rss, current)\nif @\#{name}\n@\#{name}.to_rss(rss, current)\nend\nend\n\ndef make_\#{name}\nself.class::\#{Utils.to_class_name(name)}.new(@maker)\nend\n", __FILE__, __LINE__+1)
          end

[Validate]